## ros-melodic-play-motion-builder 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(play_motion_builder)

add_compile_options(-std=c++11)

find_package(catkin REQUIRED
    COMPONENTS
    roscpp
    sensor_msgs
    play_motion_builder_msgs
    actionlib
    play_motion_msgs
)

###################################
## catkin specific configuration ##
###################################
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES motion_model_lib 
  CATKIN_DEPENDS play_motion_msgs play_motion_builder_msgs sensor_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(include)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

add_library(motion_model_lib src/motion_model.cpp)

add_executable(play_motion_builder_node 
	src/play_motion_builder_node.cpp
	src/play_motion_builder.cpp)

target_link_libraries(motion_model_lib ${catkin_LIBRARIES} yaml-cpp)
target_link_libraries(play_motion_builder_node ${catkin_LIBRARIES} motion_model_lib)

#############
## Install ##
#############

install(TARGETS play_motion_builder_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS motion_model_lib 
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(test_motion_model
    test/test_motion_model.test
    test/test_motion_model.cpp)
  target_link_libraries(test_motion_model motion_model_lib)

  add_rostest_gtest(test_motion_builder
    test/test_motion_builder.test
    test/test_motion_builder.cpp)
  target_link_libraries(test_motion_builder ${catkin_LIBRARIES})
endif()

=== debian/changelog ===
ros-melodic-play-motion-builder (1.0.2-1stretch) stretch; urgency=high

  * Fix dependencies
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Wed, 21 Oct 2020 22:00:00 -0000

ros-melodic-play-motion-builder (1.0.1-1stretch) stretch; urgency=high

  * REname projecto to comply with naming scheme
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-melodic-play-motion-builder (1.0.0-1stretch) stretch; urgency=high

  * Documentation
  * Initial commit
  * Contributors: davidfernandez

 -- davidfernandez <david.fernandez@pal-robotics.com>  Wed, 14 Oct 2020 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-play-motion-builder
Section: misc
Priority: optional
Maintainer: davidfernandez <david.fernandez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-play-motion-builder-msgs, ros-melodic-play-motion-msgs, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-sensor-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-play-motion-builder
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-melodic-actionlib, ros-melodic-play-motion-builder-msgs, ros-melodic-play-motion-msgs, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: The play_motion_builder package, a node to handle the creation of new motions for play_motion.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-play-motion-builder//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
